Bind an agent or team to a channel on a phone number
POST
/
v1
/
communication
/
phone-numbers
/
{phone_number_id}
/
channels
Bind an agent or team to a channel on a phone number
curl --request POST \
--url https://api-sandbox.featherhq.com/v1/communication/phone-numbers/{phone_number_id}/channels \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"agent_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"agent_revision_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"team_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"team_revision_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
'import requests
url = "https://api-sandbox.featherhq.com/v1/communication/phone-numbers/{phone_number_id}/channels"
payload = {
"agent_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"agent_revision_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"team_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"team_revision_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
agent_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
agent_revision_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
team_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
team_revision_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a'
})
};
fetch('https://api-sandbox.featherhq.com/v1/communication/phone-numbers/{phone_number_id}/channels', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"phone_number_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"channel_type": "sms",
"created_at": "2023-11-07T05:31:56Z",
"agent_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"agent_revision_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"team_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"team_revision_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"revision_state": "pinned_current",
"pinned_revision_name": "<string>",
"active_revision_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}{
"error": "<string>",
"message": "<string>",
"retryable": true,
"retry_after": 123
}{
"error": "<string>",
"message": "<string>",
"retryable": true,
"retry_after": 123
}{
"error": "<string>",
"message": "<string>",
"retryable": true,
"retry_after": 123
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Authorizations
Path Parameters
Body
application/json
Response
Successful Response
Available options:
sms, inbound_call, outbound_call Available options:
pinned_current, pinned_stale, legacy_unpinned Was this page helpful?
⌘I
Bind an agent or team to a channel on a phone number
